# -*- coding: utf-8 -*-
"""wise assignment.ipynb

Automatically generated by Colaboratory.

Original file is located at
    https://colab.research.google.com/drive/1pe3xkjT2C_-hcv0FSmvKZLnoCBPT2FSv
"""

#python program to read a string and print longest
#word and it's position
#read input string
str = input ("enter the string: ")
word_list = str.split()
longest_word = max(word_list, key = len)
#find position of longest word
pos=str.index(longest_word)
print("longest word- ", longest_word)
print("position of longest word: ",pos)

string = 'amma'
half = int (len (string) / 2) 
first_str = string[ :half]
second_str  = string[half:]
if first_str == second_str:
  print(string, 'string is symmetrical' )
else:
  print(string, 'string is not symmetrical' )
if first_str == second_str[: :-1]:
  print(string, 'string is palindrome')
else:
  print (string, 'string is not palindrome')

# write a program to check whether string is a pangram or not
# import string
inputString = input ("Enter the string : ")
allAlphabets = 'abcdefghijklmnopqrstuvwxyz'
flag = 0
for char in allAlphabets:
 if char not in inputString.lower():
  flag = 1
if flag == 1:
  print(" This is not a pangram string") ;
else:
  print ("It is a pangram string")

# write a python program that accepts a hypen-separate sequence of word
print("enter a hypen separated sequence of words: ")
lst=[wrd for wrd in input () . split(' -')]
lst.sort ()
print ("sorted: ")
print('-'.join(lst))

# write a program to print twin prime till the user input
def is_prime(n):
   for i in range(2, n):
      if n % i == 0:
         return False
   return True

def generate_twins(start, end):
   for i in range(start, end):
      j = i + 2
      if(is_prime(i) and is_prime(j)):
         print("{:d} and {:d}".format(i, j))

generate_twins(2,20)

#Create a Python function that accepts a string. The function should return a string, with each character in the original string doubled
input_string = input()
output=""
for i in input_string:
    output = output + i*2
print(output)

#WAP to print the first n terms of a fibonacci series
f_terms =int (input("How many terms the user wants to print? "))
f_1 = 0
f_2 = 1
count = 0
if f_terms<=0:
  print("Please enter a positive integer, the given number is not valid") 
elif f_terms==1:
  print("the fibonacci sequence of the numbers up to",f_terms,":")
  print(f_1)
else:
 print("The fibonacci sequence of the numbers is:")
 while count<f_terms:
  print(f_1)
  fth = f_1 + f_2
  f_1=f_2
  f_2=fth
  count+=1

#WAp to count the no.of odd and even numbers in a given number
numbers =(8,7,9,4,1,3) # Declaring the tuple
count_odd = 0
count_even = 0
for x in numbers:
        if not x % 2:
    	     count_even+=1
        else:
    	     count_odd+=1
print("Number of even numbers :",count_even)
print("Number of odd numbers :",count_odd)

#WAp to check if the given numbers is a perfect number.
from re import I
num=int (input ("Enter the number: "))
sum_v=0
for i in range(1, num):
  if(num%i==0):
    sum_v=sum_v+i
if(sum_v++num):
  print ("The entered number is perfect nunber")
else:
  print("The entered number is not d perfect number")

#Python program to print even lengh words in a string
n="even length words in a string"
s=n . split(" ")
for i in s:
 if len(i)%2 ==0:
   print(i)

# Print Pascal's Triangle in Python
n = int(input("enter number of rows"))
 
for i in range(1, n+1):
    for j in range(0, n-i+1):
        print(' ', end='')
    C = 1
    for j in range(1, i+1):
        print(' ', C, sep='', end='')
        C = C * (i - j) // j
    print()

r = {
    'I': 1,
    'V': 5,
    'X': 10,
    'L': 50,
    'C': 100,
    'D': 500,
    'M': 1000,
    # specify more numerals if you wish
}

def RomanNumeralToDecimal(romanNumeral):
    deci = 0
    for i in range(len(romanNumeral) - 1):
        left = romanNumeral[i]
        right = romanNumeral[i + 1]
        if r[left] < r[right]:
            deci -= r[left]
        else:
            deci += r[left]
    deci += r[romanNumeral[-1]]
    return deci